options d'enregistrement .dxf et .sat

vos questions concernant les API SolidWorks

options d'enregistrement .dxf et .sat

Messagepar mini_shaker » Lun 15 Juin 2009, 15:50

salut,

voilà j'ai une macro pour enregistrer mes plans en pdf et dxf.
J'aimerai aller plus loin et activer les options comme "echelle de sortie 1:1" ou bien encore la version d'enregistrement.

avez vous une idée?
voici mon code

Code: Tout sélectionner
Sub main()

Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc

cheminMEP = swModel.GetPathName
NomFichierComplet = Mid(cheminMEP, 1, Len(cheminMEP) - 7) & ".pdf"

'MessAlert = MsgBox("Accepter vous ce fichier ? " + NomFichierComplet, vbYesNo)
'If MessAlert = vbNo Then Exit Sub

Set Part = swApp.ActiveDoc
Set SelMgr = Part.SelectionManager
Part.SaveAs2 NomFichierComplet, 0, True, False
Part.Save2 False

cheminMEP = swModel.GetPathName
NomFichierComplet = Mid(cheminMEP, 1, Len(cheminMEP) - 7) & ".dxf"

'MessAlert = MsgBox("Accepter vous ce fichier ? " + NomFichierComplet, vbYesNo)
'If MessAlert = vbNo Then Exit Sub

Set Part = swApp.ActiveDoc
Set SelMgr = Part.SelectionManager
Part.SaveAs2 NomFichierComplet, 0, True, False
Part.Save2 False

cheminMEP = swModel.GetPathName
NomFichierComplet = Mid(cheminMEP, 1, Len(cheminMEP) - 7) & ".slddrw"

'MessAlert = MsgBox("Accepter vous ce fichier ? " + NomFichierComplet, vbYesNo)
'If MessAlert = vbNo Then Exit Sub

Set Part = swApp.ActiveDoc
Set SelMgr = Part.SelectionManager
Part.SaveAs2 NomFichierComplet, 0, True, False
Part.Save2 False

End Sub
mini_shaker
Ewok SolidWorks
 
Messages: 34
Inscription: Jeu 11 Déc 2008, 9:04
Localisation: hazebrouck (nord)

Messagepar Flop » Lun 15 Juin 2009, 16:14

Tu devrais aller voir dans l'aide API vers SldWorks.SetUserPreferenceToggle (et swUserPreferenceToggle_e pour la liste des options).

PS: Quelle version de SW as-tu ? SaveAs2 est obsolète depuis longtemps :)
Flop
Ewok SolidWorks
 
Messages: 8
Inscription: Lun 21 Juil 2008, 14:02

Messagepar Flop » Lun 15 Juin 2009, 16:26

J'ai regardé vite fait, les options dont tu as besoin n'ont pas l'air modifiables :?
Flop
Ewok SolidWorks
 
Messages: 8
Inscription: Lun 21 Juil 2008, 14:02

Messagepar mini_shaker » Mar 16 Juin 2009, 10:32

c'est balo...

merci pour ton aide
mini_shaker
Ewok SolidWorks
 
Messages: 34
Inscription: Jeu 11 Déc 2008, 9:04
Localisation: hazebrouck (nord)

Messagepar Annwn » Mar 16 Juin 2009, 11:44

Va voir dans l'aide avec ça : swDxfOutputScaleFactor
et ça : swAcisOutputVersion_e

:wink:
Programmer, c'est bien; programmer utile, c'est mieux........
Venez faire un tour ici !
Annwn
Site Admin
 
Messages: 4938
Inscription: Lun 18 Déc 2006, 22:35


Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Google [Bot] et 3 invités

banniere